Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveJobs/OptimizerHiveJobView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveJobs/OptimizerHiveJobView.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/HiveJobs/OptimizerHiveJobView.cs	(revision 6721)
@@ -82,7 +82,7 @@
       base.SetEnabledStateOfControls();
 
-      this.restartButton.Enabled = Content != null && Content.IsControllable && !Content.Job.Command.HasValue && (Content.Job.State == JobState.Paused || Content.Job.State == JobState.Failed || Content.Job.State == JobState.Aborted);
-      this.pauseButton.Enabled = Content != null && Content.IsControllable && !Content.Job.Command.HasValue && Content.Job.State == JobState.Calculating;
-      this.stopButton.Enabled = Content != null && Content.IsControllable && !Content.Job.Command.HasValue && (Content.Job.State == JobState.Calculating || Content.Job.State == JobState.Waiting || Content.Job.State == JobState.Paused);
+      this.restartButton.Enabled = Content != null && Content.IsControllable && !Content.Job.Command.HasValue && (Content.Job.State == TaskState.Paused || Content.Job.State == TaskState.Failed || Content.Job.State == TaskState.Aborted);
+      this.pauseButton.Enabled = Content != null && Content.IsControllable && !Content.Job.Command.HasValue && Content.Job.State == TaskState.Calculating;
+      this.stopButton.Enabled = Content != null && Content.IsControllable && !Content.Job.Command.HasValue && (Content.Job.State == TaskState.Calculating || Content.Job.State == TaskState.Waiting || Content.Job.State == TaskState.Paused);
     }
   }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/StateLog/StateLogGanttChartListView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/StateLog/StateLogGanttChartListView.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/StateLog/StateLogGanttChartListView.cs	(revision 6721)
@@ -65,5 +65,5 @@
           DateTime maxValue = Content.Max(x => x.Count > 0 ? x.Max(y => y.DateTime) : DateTime.MinValue);
           DateTime upperLimit;
-          if (Content.All(x => x.Count > 0 ? (x.Last().State == JobState.Finished || x.Last().State == JobState.Failed || x.Last().State == JobState.Aborted) : true)) {
+          if (Content.All(x => x.Count > 0 ? (x.Last().State == TaskState.Finished || x.Last().State == TaskState.Failed || x.Last().State == TaskState.Aborted) : true)) {
             upperLimit = DateTime.FromOADate(Math.Min(DateTime.Now.AddSeconds(10).ToOADate(), maxValue.AddSeconds(10).ToOADate()));
           } else {
@@ -73,5 +73,5 @@
           for (int i = 0; i < Content.Count; i++) {
             for (int j = 0; j < Content[i].Count - 1; j++) {
-              if (Content[i][j].State != JobState.Offline)
+              if (Content[i][j].State != TaskState.Offline)
                 AddData(ganttChart, i.ToString(), Content[i][j], Content[i][j + 1], upperLimit);
             }
@@ -85,12 +85,12 @@
 
     public static void SetupCategories(GanttChart ganttChart) {
-      ganttChart.AddCategory(JobState.Offline.ToString(), Color.Gainsboro);
-      ganttChart.AddCategory(JobState.Waiting.ToString(), Color.NavajoWhite);
-      ganttChart.AddCategory(JobState.Paused.ToString(), Color.PaleVioletRed);
-      ganttChart.AddCategory(JobState.Transferring.ToString(), Color.CornflowerBlue);
-      ganttChart.AddCategory(JobState.Calculating.ToString(), Color.DarkGreen);
-      ganttChart.AddCategory(JobState.Finished.ToString(), Color.White);
-      ganttChart.AddCategory(JobState.Aborted.ToString(), Color.Orange);
-      ganttChart.AddCategory(JobState.Failed.ToString(), Color.Red);
+      ganttChart.AddCategory(TaskState.Offline.ToString(), Color.Gainsboro);
+      ganttChart.AddCategory(TaskState.Waiting.ToString(), Color.NavajoWhite);
+      ganttChart.AddCategory(TaskState.Paused.ToString(), Color.PaleVioletRed);
+      ganttChart.AddCategory(TaskState.Transferring.ToString(), Color.CornflowerBlue);
+      ganttChart.AddCategory(TaskState.Calculating.ToString(), Color.DarkGreen);
+      ganttChart.AddCategory(TaskState.Finished.ToString(), Color.White);
+      ganttChart.AddCategory(TaskState.Aborted.ToString(), Color.Orange);
+      ganttChart.AddCategory(TaskState.Failed.ToString(), Color.Red);
     }
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/StateLog/StateLogGanttChartView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/StateLog/StateLogGanttChartView.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/StateLog/StateLogGanttChartView.cs	(revision 6721)
@@ -63,5 +63,5 @@
         if (Content.Count > 0) {
           DateTime upperLimit;
-          if (Content.Last().State == JobState.Finished || Content.Last().State == JobState.Failed || Content.Last().State == JobState.Aborted) {
+          if (Content.Last().State == TaskState.Finished || Content.Last().State == TaskState.Failed || Content.Last().State == TaskState.Aborted) {
             upperLimit = DateTime.FromOADate(Math.Min(Content.Max(x => x.DateTime).ToOADate(), DateTime.Now.AddSeconds(10).ToOADate()));
           } else {
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/TreeView/DeleteJobTreeNodeAction.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/TreeView/DeleteJobTreeNodeAction.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.3/TreeView/DeleteJobTreeNodeAction.cs	(revision 6721)
@@ -13,5 +13,5 @@
 
     public string Name {
-      get { return "Delete Job"; }
+      get { return "Delete Task"; }
     }
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/ConcurrentJobDownloader.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/ConcurrentJobDownloader.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/ConcurrentJobDownloader.cs	(revision 6721)
@@ -35,5 +35,5 @@
     private Semaphore downloadSemaphore;
     private Semaphore deserializeSemaphore;
-    
+
     public ConcurrentJobDownloader(int concurrentDownloads, int concurrentDeserializations) {
       downloadSemaphore = new Semaphore(concurrentDownloads, concurrentDownloads);
@@ -42,6 +42,6 @@
     }
 
-    public void DownloadJob(Job job, Action<Job, T> onFinishedAction) {
-      Task<T> task = Task<JobData>.Factory.StartNew((x) => DownloadJob(x), job.Id)
+    public void DownloadJob(Task job, Action<Task, T> onFinishedAction) {
+      Task<T> task = Task<TaskData>.Factory.StartNew((x) => DownloadJob(x), job.Id)
                                      .ContinueWith((x) => DeserializeJob(x.Result));
       task.ContinueWith((x) => OnJobFinished(job, x, onFinishedAction), TaskContinuationOptions.ExecuteSynchronously | TaskContinuationOptions.OnlyOnRanToCompletion);
@@ -49,8 +49,8 @@
     }
 
-    private void OnJobFinished(Job job, Task<T> task, Action<Job, T> onFinishedAction) {
+    private void OnJobFinished(Task job, Task<T> task, Action<Task, T> onFinishedAction) {
       onFinishedAction(job, task.Result);
     }
-    private void OnJobFailed(Job job, Task<T> task, Action<Job, T> onFinishedAction) {
+    private void OnJobFailed(Task job, Task<T> task, Action<Task, T> onFinishedAction) {
       task.Exception.Flatten().Handle((e) => { return true; });
       OnExceptionOccured(task.Exception.Flatten());
@@ -58,8 +58,8 @@
     }
 
-    protected JobData DownloadJob(object jobId) {
+    protected TaskData DownloadJob(object jobId) {
       downloadSemaphore.WaitOne();
       deserializeSemaphore.WaitOne();
-      JobData result;
+      TaskData result;
       try {
         if (abort) return null;
@@ -72,8 +72,8 @@
     }
 
-    protected T DeserializeJob(JobData jobData) {
+    protected T DeserializeJob(TaskData jobData) {
       try {
         if (abort || jobData == null) return null;
-        Job job = ServiceLocator.Instance.CallHiveService(s => s.GetJob(jobData.JobId));
+        Task job = ServiceLocator.Instance.CallHiveService(s => s.GetJob(jobData.TaskId));
         if (job == null) return null;
         var deserializedJob = PersistenceUtil.Deserialize<T>(jobData.Data);
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HeuristicLab.Clients.Hive-3.3.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HeuristicLab.Clients.Hive-3.3.csproj	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HeuristicLab.Clients.Hive-3.3.csproj	(revision 6721)
@@ -165,9 +165,9 @@
     <Compile Include="ServiceClients\SlaveGroup.cs" />
     <Compile Include="ServiceClients\Slave.cs" />
-    <Compile Include="ServiceClients\LightweightJob.cs" />
+    <Compile Include="ServiceClients\LightweightTask.cs" />
     <Compile Include="ServiceClients\ExecutorMessageContainer.cs" />
     <Compile Include="ServiceClients\MessageContainer.cs" />
     <Compile Include="ServiceClients\HiveServiceClient.cs" />
-    <Compile Include="ServiceClients\Job.cs" />
+    <Compile Include="ServiceClients\Task.cs" />
     <Compile Include="ServiceLocator.cs" />
     <None Include="app_ascheibe.config" />
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveClient.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveClient.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveClient.cs	(revision 6721)
@@ -31,4 +31,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.PluginInfrastructure;
+using TS = System.Threading.Tasks;
 
 namespace HeuristicLab.Clients.Hive {
@@ -217,5 +218,5 @@
       ServiceLocator.Instance.CallHiveService(service => {
         foreach (HiveJob job in refreshableHiveExperiment.GetAllHiveJobs()) {
-          if (job.Job.State != JobState.Finished && job.Job.State != JobState.Aborted && job.Job.State != JobState.Failed)
+          if (job.Job.State != TaskState.Finished && job.Job.State != TaskState.Aborted && job.Job.State != TaskState.Failed)
             service.PauseJob(job.Job.Id);
         }
@@ -227,5 +228,5 @@
       ServiceLocator.Instance.CallHiveService(service => {
         foreach (HiveJob job in refreshableHiveExperiment.GetAllHiveJobs()) {
-          if (job.Job.State != JobState.Finished && job.Job.State != JobState.Aborted && job.Job.State != JobState.Failed)
+          if (job.Job.State != TaskState.Finished && job.Job.State != TaskState.Aborted && job.Job.State != TaskState.Failed)
             service.StopJob(job.Job.Id);
         }
@@ -282,7 +283,7 @@
         refreshableHiveExperiment.Progress.Status = "Uploading jobs...";
 
-        var tasks = new List<Task>();
+        var tasks = new List<TS.Task>();
         foreach (HiveJob hiveJob in refreshableHiveExperiment.HiveJobs) {
-          tasks.Add(Task.Factory.StartNew((hj) => {
+          tasks.Add(TS.Task.Factory.StartNew((hj) => {
             UploadJobWithChildren(refreshableHiveExperiment.Progress, (HiveJob)hj, null, resourceIds, jobCount, totalJobCount, configFilePlugin.Id, refreshableHiveExperiment.HiveExperiment.Id, refreshableHiveExperiment.Log, refreshableHiveExperiment.HiveExperiment.IsPrivileged, cancellationToken);
           }, hiveJob)
@@ -290,5 +291,5 @@
         }
         try {
-          Task.WaitAll(tasks.ToArray());
+          TS.Task.WaitAll(tasks.ToArray());
         }
         catch (AggregateException ae) {
@@ -341,5 +342,5 @@
           jobCount[0]++;
         }
-        JobData jobData;
+        TaskData jobData;
         List<IPluginDescription> plugins;
 
@@ -384,7 +385,7 @@
         }
 
-        var tasks = new List<Task>();
+        var tasks = new List<TS.Task>();
         foreach (HiveJob child in hiveJob.ChildHiveJobs) {
-          tasks.Add(Task.Factory.StartNew((tuple) => {
+          tasks.Add(TS.Task.Factory.StartNew((tuple) => {
             var arguments = (Tuple<HiveJob, HiveJob>)tuple;
             UploadJobWithChildren(progress, arguments.Item1, arguments.Item2, groups, jobCount, totalJobCount, configPluginId, hiveExperimentId, log, isPrivileged, cancellationToken);
@@ -394,5 +395,5 @@
         jobUploadSemaphore.Release(); semaphoreReleased = true; // the semaphore has to be release before waitall!
         try {
-          Task.WaitAll(tasks.ToArray());
+          TS.Task.WaitAll(tasks.ToArray());
         }
         catch (AggregateException ae) {
@@ -414,8 +415,8 @@
         refreshableHiveExperiment.IsProgressing = true;
         int totalJobCount = 0;
-        IEnumerable<LightweightJob> allJobs;
+        IEnumerable<LightweightTask> allJobs;
 
         refreshableHiveExperiment.Progress.Status = "Connecting to Server...";
-        // fetch all Job objects to create the full tree of tree of HiveJob objects
+        // fetch all Task objects to create the full tree of tree of HiveJob objects
         refreshableHiveExperiment.Progress.Status = "Downloading list of jobs...";
         allJobs = ServiceLocator.Instance.CallHiveService(s => s.GetLightweightExperimentJobs(hiveExperiment.Id));
@@ -436,5 +437,5 @@
         IDictionary<Guid, HiveJob> allHiveJobs = downloader.Results;
 
-        refreshableHiveExperiment.HiveJobs = new ItemCollection<HiveJob>(allHiveJobs.Values.Where(x => !x.Job.ParentJobId.HasValue));
+        refreshableHiveExperiment.HiveJobs = new ItemCollection<HiveJob>(allHiveJobs.Values.Where(x => !x.Job.ParentTaskId.HasValue));
 
         if (refreshableHiveExperiment.IsFinished()) {
@@ -456,10 +457,10 @@
     }
 
-    private static void BuildHiveJobTree(HiveJob parentHiveJob, IEnumerable<LightweightJob> allJobs, IDictionary<Guid, HiveJob> allHiveJobs) {
-      IEnumerable<LightweightJob> childJobs = from job in allJobs
-                                              where job.ParentJobId.HasValue && job.ParentJobId.Value == parentHiveJob.Job.Id
-                                              orderby job.DateCreated ascending
-                                              select job;
-      foreach (LightweightJob job in childJobs) {
+    private static void BuildHiveJobTree(HiveJob parentHiveJob, IEnumerable<LightweightTask> allJobs, IDictionary<Guid, HiveJob> allHiveJobs) {
+      IEnumerable<LightweightTask> childJobs = from job in allJobs
+                                               where job.ParentTaskId.HasValue && job.ParentTaskId.Value == parentHiveJob.Job.Id
+                                               orderby job.DateCreated ascending
+                                               select job;
+      foreach (LightweightTask job in childJobs) {
         HiveJob childHiveJob = allHiveJobs[job.Id];
         parentHiveJob.AddChildHiveJob(childHiveJob);
@@ -481,5 +482,5 @@
 
     public static ItemJob LoadItemJob(Guid jobId) {
-      JobData jobData = ServiceLocator.Instance.CallHiveService(s => s.GetJobData(jobId));
+      TaskData jobData = ServiceLocator.Instance.CallHiveService(s => s.GetJobData(jobId));
       try {
         return PersistenceUtil.Deserialize<ItemJob>(jobData.Data);
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveJobDownloader.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveJobDownloader.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveJobDownloader.cs	(revision 6721)
@@ -73,5 +73,5 @@
     public void StartAsync() {
       foreach (Guid jobId in jobIds) {
-        Job job = ServiceLocator.Instance.CallHiveService(s => s.GetJob(jobId));
+        Task job = ServiceLocator.Instance.CallHiveService(s => s.GetJob(jobId));
 
         jobDownloader.DownloadJob(job,
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/EngineHiveJob.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/EngineHiveJob.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/EngineHiveJob.cs	(revision 6721)
@@ -47,10 +47,10 @@
     #endregion
 
-    public override JobData GetAsJobData(bool withoutChildOptimizers, out List<IPluginDescription> plugins) {
+    public override TaskData GetAsJobData(bool withoutChildOptimizers, out List<IPluginDescription> plugins) {
       plugins = new List<IPluginDescription>();
       if (this.itemJob == null)
         return null;
 
-      JobData jobData = new JobData();
+      TaskData jobData = new TaskData();
       IEnumerable<Type> usedTypes;
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/HiveJob.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/HiveJob.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/HiveJob.cs	(revision 6721)
@@ -34,5 +34,5 @@
 namespace HeuristicLab.Clients.Hive {
 
-  [Item("Hive Job", "Represents a hive job.")]
+  [Item("Hive Task", "Represents a hive job.")]
   [StorableClass]
   public class HiveJob : NamedItem, IItemTree<HiveJob> {
@@ -45,11 +45,11 @@
           return HeuristicLab.Common.Resources.VSImageLibrary.Event;
         } else {
-          if (job.State == JobState.Waiting) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutablePrepared;
-          else if (job.State == JobState.Calculating) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStarted;
-          else if (job.State == JobState.Transferring) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStarted;
-          else if (job.State == JobState.Paused) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutablePaused;
-          else if (job.State == JobState.Aborted) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStopped;
-          else if (job.State == JobState.Failed) return HeuristicLab.Common.Resources.VSImageLibrary.Error;
-          else if (job.State == JobState.Finished) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStopped;
+          if (job.State == TaskState.Waiting) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutablePrepared;
+          else if (job.State == TaskState.Calculating) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStarted;
+          else if (job.State == TaskState.Transferring) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStarted;
+          else if (job.State == TaskState.Paused) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutablePaused;
+          else if (job.State == TaskState.Aborted) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStopped;
+          else if (job.State == TaskState.Failed) return HeuristicLab.Common.Resources.VSImageLibrary.Error;
+          else if (job.State == TaskState.Finished) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStopped;
           else return HeuristicLab.Common.Resources.VSImageLibrary.Event;
         }
@@ -58,6 +58,6 @@
 
     [Storable]
-    protected Job job;
-    public Job Job {
+    protected Task job;
+    public Task Job {
       get { return job; }
       set {
@@ -154,6 +154,6 @@
     #region Constructors and Cloning
     public HiveJob() {
-      this.Job = new Job() { CoresNeeded = 1, MemoryNeeded = 0 };
-      job.State = JobState.Offline;
+      this.Job = new Task() { CoresNeeded = 1, MemoryNeeded = 0 };
+      job.State = TaskState.Offline;
       this.childHiveJobs = new ItemList<HiveJob>();
       syncJobsWithOptimizers = true;
@@ -168,5 +168,5 @@
     }
 
-    public HiveJob(Job job, JobData jobData, bool autoCreateChildHiveJobs) {
+    public HiveJob(Task job, TaskData jobData, bool autoCreateChildHiveJobs) {
       this.syncJobsWithOptimizers = autoCreateChildHiveJobs;
       this.Job = job;
@@ -251,8 +251,8 @@
     }
 
-    public virtual void UpdateFromLightweightJob(LightweightJob lightweightJob) {
+    public virtual void UpdateFromLightweightJob(LightweightTask lightweightJob) {
       if (lightweightJob != null) {
         job.Id = lightweightJob.Id;
-        job.ParentJobId = lightweightJob.ParentJobId;
+        job.ParentTaskId = lightweightJob.ParentTaskId;
         job.ExecutionTime = lightweightJob.ExecutionTime;
         job.State = lightweightJob.State;
@@ -268,10 +268,10 @@
 
     /// <summary>
-    /// Creates a JobData object containing the Job and the IJob-Object as byte[]
+    /// Creates a TaskData object containing the Task and the IJob-Object as byte[]
     /// </summary>
     /// <param name="withoutChildOptimizers">
     ///   if true the Child-Optimizers will not be serialized (if the job contains an Experiment)
     /// </param>
-    public virtual JobData GetAsJobData(bool withoutChildOptimizers, out List<IPluginDescription> plugins) {
+    public virtual TaskData GetAsJobData(bool withoutChildOptimizers, out List<IPluginDescription> plugins) {
       plugins = new List<IPluginDescription>();
       if (this.itemJob == null)
@@ -280,5 +280,5 @@
       IEnumerable<Type> usedTypes;
       byte[] jobByteArray = PersistenceUtil.Serialize(this.ItemJob, out usedTypes);
-      JobData jobData = new JobData() { JobId = job.Id, Data = jobByteArray };
+      TaskData jobData = new TaskData() { TaskId = job.Id, Data = jobByteArray };
       PluginUtil.CollectDeclaringPlugins(plugins, usedTypes);
       return jobData;
@@ -478,10 +478,10 @@
     public void Restart() {
       ServiceLocator.Instance.CallHiveService(service => {
-        JobData jobData = new JobData();
-        jobData.JobId = this.job.Id;
+        TaskData jobData = new TaskData();
+        jobData.TaskId = this.job.Id;
         jobData.Data = PersistenceUtil.Serialize(this.itemJob);
         service.UpdateJobData(this.Job, jobData);
         service.RestartJob(this.job.Id);
-        Job job = service.GetJob(this.job.Id);
+        Task job = service.GetJob(this.job.Id);
         this.job.LastJobDataUpdate = job.LastJobDataUpdate;
       });
@@ -504,5 +504,5 @@
   }
 
-  [Item("Hive Job", "Represents a hive job.")]
+  [Item("Hive Task", "Represents a hive job.")]
   [StorableClass]
   public class HiveJob<T> : HiveJob where T : ItemJob {
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/OptimizerHiveJob.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/OptimizerHiveJob.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/HiveJobs/OptimizerHiveJob.cs	(revision 6721)
@@ -232,5 +232,5 @@
     private void UpdateOptimizerInExperiment(Optimization.Experiment experiment, OptimizerJob optimizerJob) {
       if (optimizerJob.IndexInParentOptimizerList < 0)
-        throw new IndexOutOfRangeException("IndexInParentOptimizerList must be equal or greater than zero! The Job is invalid and the optimizer-tree cannot be reassembled.");
+        throw new IndexOutOfRangeException("IndexInParentOptimizerList must be equal or greater than zero! The Task is invalid and the optimizer-tree cannot be reassembled.");
 
       while (experiment.Optimizers.Count < optimizerJob.IndexInParentOptimizerList) {
@@ -250,5 +250,5 @@
     /// <summary>
     /// Sets the IndexInParentOptimizerList property of the OptimizerJob
-    /// according to the position in the OptimizerList of the parentHiveJob.Job
+    /// according to the position in the OptimizerList of the parentHiveJob.Task
     /// Recursively updates all the child-jobs as well
     /// </summary>
@@ -279,5 +279,5 @@
         // if job is in state Paused, it has to preserve its ResultCollection, which is cleared when a optimizer is added to an experiment
         OptimizerJob optimizerJobClone = null;
-        if (optimizerHiveJob.Job.State == JobState.Paused) {
+        if (optimizerHiveJob.Job.State == TaskState.Paused) {
           optimizerJobClone = (OptimizerJob)optimizerHiveJob.ItemJob.Clone();
         }
@@ -291,5 +291,5 @@
         }
 
-        if (optimizerHiveJob.Job.State == JobState.Paused) {
+        if (optimizerHiveJob.Job.State == TaskState.Paused) {
           optimizerHiveJob.ItemJob = optimizerJobClone;
         }
@@ -299,10 +299,10 @@
 
     /// <summary>
-    /// Creates a JobData object containing the Job and the IJob-Object as byte[]
+    /// Creates a TaskData object containing the Task and the IJob-Object as byte[]
     /// </summary>
     /// <param name="withoutChildOptimizers">
     ///   if true the Child-Optimizers will not be serialized (if the job contains an Experiment)
     /// </param>
-    public override JobData GetAsJobData(bool withoutChildOptimizers, out List<IPluginDescription> plugins) {
+    public override TaskData GetAsJobData(bool withoutChildOptimizers, out List<IPluginDescription> plugins) {
       plugins = new List<IPluginDescription>();
       if (this.itemJob == null) // || this.jobItem.Optimizer == null
@@ -326,5 +326,5 @@
       }
 
-      JobData jobData = new JobData() { JobId = job.Id, Data = jobByteArray };
+      TaskData jobData = new TaskData() { TaskId = job.Id, Data = jobByteArray };
       PluginUtil.CollectDeclaringPlugins(plugins, usedTypes);
       return jobData;
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/JobResultPoller.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/JobResultPoller.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/JobResultPoller.cs	(revision 6721)
@@ -105,7 +105,7 @@
     }
 
-    public IEnumerable<LightweightJob> FetchJobResults() {
+    public IEnumerable<LightweightTask> FetchJobResults() {
       return ServiceLocator.Instance.CallHiveService(service => {
-        var responses = new List<LightweightJob>();
+        var responses = new List<LightweightTask>();
         responses.AddRange(service.GetLightweightExperimentJobs(hiveExperimentId));
         OnJobResultsReceived(responses);
@@ -114,8 +114,8 @@
     }
 
-    public event EventHandler<EventArgs<IEnumerable<LightweightJob>>> JobResultsReceived;
-    private void OnJobResultsReceived(IEnumerable<LightweightJob> lightweightJobs) {
+    public event EventHandler<EventArgs<IEnumerable<LightweightTask>>> JobResultsReceived;
+    private void OnJobResultsReceived(IEnumerable<LightweightTask> lightweightJobs) {
       var handler = JobResultsReceived;
-      if (handler != null) handler(this, new EventArgs<IEnumerable<LightweightJob>>(lightweightJobs));
+      if (handler != null) handler(this, new EventArgs<IEnumerable<LightweightTask>>(lightweightJobs));
     }
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/Jobs/ItemJob.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/Jobs/ItemJob.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/Jobs/ItemJob.cs	(revision 6721)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Clients.Hive {
-  [Item("Item Job", "Represents a executable hive job which contains a HeuristicLab Item.")]
+  [Item("Item Task", "Represents a executable hive job which contains a HeuristicLab Item.")]
   [StorableClass]
   public abstract class ItemJob : NamedItem, IJob {
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/Jobs/OptimizerJob.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/Jobs/OptimizerJob.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive/3.3/Jobs/OptimizerJob.cs	(revision 6721)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Clients.Hive.Jobs {
-  [Item("Optimizer Job", "Represents Job which executes a IOptimizer object.")]
+  [Item("Optimizer Task", "Represents Task which executes a IOptimizer object.")]
   [StorableClass]
   public class OptimizerJob : ItemJob {
